#
# spec file for package k3b (Version 0.12)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cdparanoia ffmpeg ffmpeg-devel flac flac-devel kde3-devel-packages kdelibs3-arts lame libmusicbrainz libmusicbrainz-devel libogg libogg-devel libsamplerate libsamplerate-devel libvorbis libvorbis-devel mad mad-devel pkgconfig resmgr taglib taglib-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel autoconf automake binutils cdparanoia expat fam fam-devel ffmpeg libffmpeg0-devel flac flac-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext gettext-devel glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc lame libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libmusicbrainz libmusicbrainz-devel libogg libogg-devel libpng libpng-devel libsamplerate libsamplerate-devel libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel mad mad-devel openssl-devel pcre pcre-devel perl pkgconfig python qt3 qt3-devel resmgr rpm taglib taglib-devel unsermake update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         k3b
URL:          http://k3b.sourceforge.net/
License:      GPL
Group:        Productivity/Multimedia/CD/Record
Summary:      A universal CD and DVD burning application
Requires:     /usr/bin/cdrecord /usr/bin/mkisofs /usr/bin/cdrdao
Version:      0.12.2
Release:      1
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %name-%version.tar.bz2
%define iversion 0.12.2
Source1:      %name-i18n-%iversion.tar.bz2
Patch1:	      k3bhal.diff
#Patch1:       %name-resmgr.diff
#Patch2:       fixme.diff

%description
K3b is a CD burning application that supports Ogg Vorbis, MP3
audiofiles, DVD burning, CDDB, and much more.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%package mad
Group:        Productivity/Multimedia/CD/Record
Summary:      MP3 support for k3b
Provides:     k3b:/opt/kde3/share/apps/k3b/plugins/k3bmaddecoder.plugin

%description mad
K3B can handle directly MP3 files with this plugin. For example to burn
an Audio-CD.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%package arts
Group:        Productivity/Multimedia/CD/Record
Summary:      aRts sound output for k3b

%description arts
k3b can play audio data via aRts with this plugin.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>


#%debug_package
%prep
%setup -q -b 1
#%patch2
  . /etc/opt/kde3/common_options
  update_admin
%patch1
  cd ../k3b-i18n-%iversion
  update_admin


%build
  . /etc/opt/kde3/common_options
  ./configure $configkde \
              --with-k3bsetup=yes \
  %if %suse_version > 810
  	    --enable-resmgr \
  %endif
  	    --disable-final
  make %{?jobs:-j %jobs}
  
  cd ../k3b-i18n-%iversion
  ./configure $configkde
  make

%install
  . /etc/opt/kde3/common_options
  make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
  
  cd ../k3b-i18n-%iversion
  make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
  cd -
  
#  mkdir -p $RPM_BUILD_ROOT/etc/opt/kde3/share/config/
#  cat > $RPM_BUILD_ROOT/etc/opt/kde3/share/config/k3brc <<EOF
#[General Options]
#Show Document Header=true
#check system config=false
#config version=0.11.7
#[External Programs]
#cdrdao default=/usr/bin/cdrdao
#cdrdao user parameters=
#cdrecord default=/usr/bin/cdrecord
#cdrecord user parameters=
#dvd+rw-format user parameters=
#mkisofs default=/usr/bin/mkisofs
#mkisofs user parameters=
#normalize user parameters=
#readcd default=/usr/bin/readcd
#readcd user parameters=
#sox default=/usr/bin/sox
#sox user parameters=
#EOF
  
%suse_update_desktop_file k3b DiscBurning
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING AUTHORS
%dir /opt/kde3/share/icons/hicolor/128x128
%dir /opt/kde3/share/icons/hicolor/128x128/apps
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32/apps
%dir /opt/kde3/share/icons/hicolor/48x48
%dir /opt/kde3/share/icons/hicolor/48x48/apps
%dir /opt/kde3/share/icons/hicolor/64x64
%dir /opt/kde3/share/icons/hicolor/64x64/apps
/opt/kde3/bin/k3b
/opt/kde3/bin/k3bsetup
/opt/kde3/include/*
/opt/kde3/%_lib/kde3/libk3bexternalencoder.*
/opt/kde3/%_lib/kde3/libk3bflacdecoder.*
/opt/kde3/%_lib/kde3/libk3boggvorbis*
/opt/kde3/%_lib/kde3/libk3bsoxencoder.*
/opt/kde3/%_lib/kde3/libk3bwavedecoder.*
/opt/kde3/%_lib/kde3/kcm_k3bsetup2.la
/opt/kde3/%_lib/kde3/kcm_k3bsetup2.so
/opt/kde3/%_lib/lib*
/opt/kde3/share/applnk/Settings/System/k3bsetup2.desktop
/opt/kde3/share/applications/kde/k3b.desktop
/opt/kde3/share/applnk/.hidden
/opt/kde3/share/apps/k3b
/opt/kde3/share/apps/konqueror
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/mimelnk/application/x-k3b.desktop
/opt/kde3/share/sounds
%if %suse_version < 930
/opt/kde3/share/doc/HTML/pt_BR/k3b
%endif

%files mad
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/libk3bmaddecoder.*
/opt/kde3/%_lib/kde3/libk3bffmpegdecoder.*
/opt/kde3/%_lib/kde3/libk3blameencoder.*

%files arts
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/libk3bartsoutputplugin.*

%changelog -n k3b
* Mon Jun 20 2005 - joe_morris@ntm.org
- updated to 0.12.2
* Mon Jun 20 2005 - joe_morris@ntm.org
- updated to 0.12.1
  moved internal files to mad
* Thu Jun 16 2005 - adrian@suse.de
- fix build for < 9.3
* Thu Jun 16 2005 - adrian@suse.de
- update to version 0.12 final
* Tue May 31 2005 - ro@suse.de
- fix filelist to build on lib64
* Wed May 25 2005 - adrian@suse.de
- update to version 0.12 beta 1
  * obsolete patches on dependencies to libid3tag/glib
  * optional subpackages for arts, ffmpeg and mp3 encoding
  * HAL is not enabled yet since it relies on 0.4
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Apr 13 2005 - adrian@suse.de
- add kdelibs3-arts to nfb
* Thu Mar 17 2005 - adrian@suse.de
- rebuild tar ball to get translations (#73607)
- from 0.11.22 release:
  * Little fix in capabilities detection (only affects buggy firmwares)
  * Properly detect the Philips 2600
  * Made multisession selection in DVD project visible.
* Wed Mar 09 2005 - meissner@suse.de
- detect *recorders using resmgr correctly.
* Thu Feb 17 2005 - adrian@suse.de
- move menu entry to xdg dir
* Tue Feb 08 2005 - adrian@suse.de
- redo tar ball to package also the handbook translations
* Fri Feb 04 2005 - adrian@suse.de
- update to version 0.11.20
* Wed Jan 26 2005 - adrian@suse.de
- update to version 0.11.19
  (again a recreated tar ball to include translations)
* Mon Jan 03 2005 - adrian@suse.de
- update to version 0.11.18
  (again a recreated tar ball to include translations)
- move mp3 plugin into new -mad subpackage
* Wed Sep 15 2004 - adrian@suse.de
- use official version 0.11.15 (minor changes)
- redo tar ball to get current translations
* Tue Sep 07 2004 - adrian@suse.de
- update to current stable branch
  * solves burning problems with kernel 2.6.8
  * updated translations
- disable external translation package
- TODO: remove manual adding of pt_BR
  (find-lang.sh should find it, but it does explicit ignore
  it for some unknown reason)
* Tue Aug 10 2004 - adrian@suse.de
- update to version 0.11.14
  * minor bugfix release
* Wed Aug 04 2004 - mskibbe@suse.de
- update to 0.11.13
  * support for double layer dvd
* Mon Jul 26 2004 - adrian@suse.de
- AudioCDs in subfs mounted devices where not handled correct
  [#43054]
* Thu Jul 15 2004 - adrian@suse.de
- update to version 0.11.12
* Wed Apr 28 2004 - adrian@suse.de
- update to version 0.11.9
* Tue Mar 30 2004 - adrian@suse.de
- make k3b a KUniqueApplication (#37545)
* Sun Mar 21 2004 - adrian@suse.de
- update to version 0.11.7
  * cdrdao can be used with IDE devices now
  * crash fixes
- disable kcm module
- remove obsolete patches
- suppress confusing warning on startup
  (our system is always perfect;)
* Mon Mar 15 2004 - adrian@suse.de
- enforce cdrdao use and suppress wrong problem popup
- update translations to 0.11
* Mon Mar 01 2004 - adrian@suse.de
- update to version 0.11.6
* Mon Feb 23 2004 - adrian@suse.de
- update to version 0.11.5
  * crash fixes
* Sat Feb 21 2004 - adrian@suse.de
- update to version 0.11.4
- mark k3bsetup2 menu entry as unimportant
* Tue Feb 17 2004 - adrian@suse.de
- update to version 0.11.3
* Tue Feb 10 2004 - adrian@suse.de
- update to version 0.11.2
* Tue Feb 03 2004 - adrian@suse.de
- fix build for 9.0
* Mon Jan 26 2004 - ro@suse.de
- try to fix build by adding a makefile-dependency
* Fri Jan 23 2004 - adrian@suse.de
- update to version 0.11
* Fri Dec 05 2003 - adrian@suse.de
- update to version 0.10.3
* Thu Nov 06 2003 - adrian@suse.de
- update to version 0.10.2
* Tue Oct 28 2003 - adrian@suse.de
- update to version 0.10.1
- most patches are obsolete
* Mon Oct 20 2003 - adrian@suse.de
- update to version 0.10
* Tue Oct 07 2003 - adrian@suse.de
- fix file conflicts with kdelibs from KDE 3.2
* Tue Oct 07 2003 - ro@suse.de
- fix build with current includes (SCSI_BLK_MAJOR not defined)
* Mon Sep 29 2003 - adrian@suse.de
- add needed packages for mp3 support to neededforbuild
* Tue Sep 23 2003 - adrian@suse.de
- update hugarian translations (from Marcel Hilzinger)
* Thu Sep 18 2003 - adrian@suse.de
- fixes from Sebastian
  * fix for DVD-R detection
  * fix for multisession handling with dvds
  * new welcome screen
  * qt 3.2 fix for parsing of growisofs output
* Tue Sep 16 2003 - adrian@suse.de
- accept cdrdao 1.1.7-suse as full enabled
- make it a KUniqueApplication to prevent multiple startup
* Mon Sep 15 2003 - uli@suse.de
- do not define __u64, fixes build on k3bdevicemanager.cpp, fixes
  build on 64-bit archs
* Tue Sep 09 2003 - coolo@suse.de
- install INSTALL too as it got some more docu (even though only
  on the way how to compile it, but as the README refers to it,
  it's confusing testers when it's not there [#29866])
* Tue Sep 09 2003 - adrian@suse.de
- add hungarian translation from Peter Varkoly
* Tue Sep 02 2003 - adrian@suse.de
- fix file list
* Mon Sep 01 2003 - adrian@suse.de
- update to current cvs
  * fixes segfault during reading from ATAPI cdrom
* Mon Sep 01 2003 - adrian@suse.de
- accept also cdrdao 1.1.7-suse for read from IDE
* Mon Sep 01 2003 - adrian@suse.de
- accept also cdrdao 1.1.7-suse
* Mon Aug 25 2003 - adrian@suse.de
- update to recent k3b snapshot (pre 0.10)
* Mon Aug 04 2003 - adrian@suse.de
- drop k3bsetup menu entry
* Fri Aug 01 2003 - adrian@suse.de
- fix desktop entry
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Thu Jul 17 2003 - adrian@suse.de
- update to version 0.9
  * all patches are included
* Sun Jun 15 2003 - coolo@suse.de
- list COPYING only once
- create directory before creating link
* Thu Jun 12 2003 - coolo@suse.de
- use %%find_lang
* Thu Mar 13 2003 - adrian@suse.de
- fix handling of .iso files, use k3b --isoimage (#25270)
* Wed Mar 12 2003 - adrian@suse.de
- fix call of k3bsetup (do not complain about missing kdesu) #25183
* Fri Mar 07 2003 - adrian@suse.de
- do not run k3bsetup as root
- add hungarian translations
- add default cdrdao config
* Tue Mar 04 2003 - adrian@suse.de
- add Provides: koncd
* Sat Mar 01 2003 - adrian@suse.de
- update to version 0.8.1
  * fixes several crashes
- use resmgr to get access to drives
  (a root password is not needed anymore :)
* Thu Feb 20 2003 - adrian@suse.de
- add missing docu
* Mon Feb 10 2003 - adrian@suse.de
- update to version 0.8
- add translations tar ball
* Fri Jan 10 2003 - adrian@suse.de
- update to version 0.7.5
- disabling patches, we get hopefully the new cdrecord :)
* Tue Sep 03 2002 - coolo@suse.de
- make it work as user
* Fri Aug 02 2002 - coolo@suse.de
- moving k3b into the Utilities submenu in the KDE menu
- adding hungarian translation
* Wed Jul 31 2002 - adrian@suse.de
- add suse-customized.diff
  * disable several k3bsetup tasks and do only set cdrecord to
  setuid root. This is enough, has less security problems and
  works also for YP users
  * do not show k3bplayer by default
* Thu Jul 11 2002 - adrian@suse.de
- add german translation from cvs
* Sun Jun 09 2002 - adrian@suse.de
- fix build for x86_64
* Thu Jun 06 2002 - coolo@suse.de
- fix for libvorbis support
* Wed May 29 2002 - adrian@suse.de
- initial package of version 0.7
